﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private ulv As UltimateListView
	Private dbCursor As Cursor
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	Main.SQLMem.ExecNonQuery2("insert into MEM_FNGD values(?,?,?,?,?,?)",Array As Object("Drinks","D001","Coke","Pcs",1000,"T"))
	Main.SQLMem.ExecNonQuery2("insert into MEM_FNGD values(?,?,?,?,?,?)",Array As Object("Drinks","D002","Coffe","Pcs",1500,"T"))
	Main.SQLMem.ExecNonQuery2("insert into MEM_FNGD values(?,?,?,?,?,?)",Array As Object("Drinks","D003","Mango Juice","Pcs",500,"T"))
	
	CreateUlv
	RefreshTable
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

#Region ULV
Sub CreateUlv
	ulv.AddRowLayout("ROW","Tbl_Layout","Tbl_Content",200,1,Array As Int(ulv.Width),1, Colors.ARGB(150,32,32,32),False)
	Private PressedDrawable As ColorDrawable
	PressedDrawable.Initialize(Colors.RGB(139,0,0), 2dip)
	ulv.PressedDrawable = PressedDrawable
End Sub

Sub RefreshTable
	ulv.ClearContent
	dbCursor = Main.SQLMem.ExecQuery("select rowid,* from MEM_FNGD order by PRD_CD")
	For i = 0 To dbCursor.RowCount - 1
		dbCursor.Position = i
		ulv.AddItem("ROW",dbCursor.GetInt2(0))
	Next
	ulv.RequestFocus
End Sub

Sub Tbl_Layout(LayoutName As String,CellPanel As Panel, CellIndex As Byte)
	CellPanel.LoadLayout("lyfngd-ulv")
End Sub

Sub Tbl_Content(RowId As Long, LayoutName As String, CellPanel As Panel, CellIndex As Byte, Position As Int)
	Private Id,GrpNm,PrdCd,PrdNm,PrcUnt As Label
	Private IsAct As CheckBox
	Id 	   = CellPanel.GetView(0)
	PrdCd  = CellPanel.GetView(1)
	GrpNm  = CellPanel.GetView(2)
	PrdNm  = CellPanel.GetView(3)
	PrcUnt = CellPanel.GetView(4)
	IsAct  = CellPanel.GetView(5)
	
	If(CellIndex = 0) Then
		dbCursor.Position = Position
		Id.Text     = dbCursor.GetString2(0)
		GrpNm.Text  = dbCursor.GetString2(2)
		PrdCd.Text  = dbCursor.GetString2(3)
		PrdNm.Text  = dbCursor.GetString2(4)
		PrcUnt.Text = NumberFormat2(dbCursor.GetInt2(6),0,0,0,True) & " / " & dbCursor.GetString2(5)
		
		If dbCursor.GetString2(6) = "T" Then
			IsAct.Checked = True
		Else
			IsAct.Checked = False
		End If
	End If
End Sub
#End Region

Private Sub lblDel_Click
	Private Id  = ulv.FindIDInVisibleItems(Sender) As Long
	Private Pos = ulv.GetPositionForID(Id,True) As Int
	LogColor(Id,Colors.Green)
	LogColor(Pos,Colors.Yellow)
	ulv.RemoveItemAt(Pos)
End Sub
